You are not logged in.

#3001 2011-05-19 09:06:48

Gillian00
Member
From: Belgium
Registered: 2010-05-25
Posts: 100

Re: The AMD/ATI Bar & Grill

BTW maybe you wanna this chromium-dev that i've built?

Yes please big_smile


Dell Studio XPS 1647 | i5-560m | 4go ddr3 | ATI radeon mobility 4670HD 1go gddr3 | Seagate Momentus 7200.4 G-force | wled 1600x900

Offline

#3002 2011-05-19 14:03:13

kismet010
Member
Registered: 2009-09-02
Posts: 137

Re: The AMD/ATI Bar & Grill

Gillian00 wrote:

hum...  actually...  I have tested with  "angry birds" only.  The now apps from web store  in chromium ...   big_smile    but  wow, lots of  lags !

try https://aur.archlinux.org/packages.php?ID=32072

Offline

#3003 2011-05-20 14:21:51

canuckkat
Member
Registered: 2009-08-28
Posts: 44

Re: The AMD/ATI Bar & Grill

Vi0L0 wrote:
canuckkat wrote:
$ uname -a
$ Linux aerynsun 2.6.38-ARCH #1 SMP PREEMPT Fri May 13 09:24:47 CEST 2011 x86_64 Intel(R) Core(TM) i3 CPU M 380 @ 2.53GHz GenuineIntel GNU/Linux

Why is it even trying to find the headers for the 2.6.35-22 kernel anyways?

Good question. Actually catalyst is always using `uname -r` to define kernel version, look at it's PKGBUILD:

 _kernver=`uname -r`
 make -C /lib/modules/${_kernver}/build SUBDIRS="`pwd`" ARCH=${BUILDARCH} \

So it shouldn't be catalyst' fault.
Maybe check your config (/etc/makepkg.conf, yaourt config file if you are using it or something) or maybe there's some symlink(?).
Edit: ah, your failure is happening when running ati_make.sh script file which is imported into PKGBUILD... maybe the problem is here, but i haven't seen anything like it, you are 1st person with such problem... umm... maybe try to hardcode _kernver in PKGBUILD, like
_kernver=2.6.38-ARCH
Or maybe try to add
_kernver=`uname -r`
above function _ati_check() in ati_make.sh file...
If that won't help then i don't know - maybe use [catalyst] repo wink

Strangeness! lol. I ended up using catalyst-total from AUR which built fine so I'm happy smile I was just curious as to why the error was happening.

Thanks for being so polite in your responses. ^_^

Offline

#3004 2011-05-22 10:53:54

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,319
Website

Re: The AMD/ATI Bar & Grill

powerXpress support (update)
there is plenty of changes over my last post.

Here is PKGBUILD (+other files, as usual) of catalyst-total with powerXpress support: http://catalyst.apocalypsus.net/tarball … pxp.tar.gz

Changes:
* I didn't like that /usr/X11R6/lib directory, so i moved whole libGL linking into /usr/lib/catalystpxp
* switchlibGL script can now switch also 32-bit libGL.so lib on x86_64 systems (lib32-libgl / lib32-catalyst-utils switch) if only /usr/lib32/catalystpxp directory is present (it will be created while installing this catalyst-total if [multilib] in pacman.conf is not commented)
* new switching script which can be useful: pxp_switch_catalyst (placed in /usr/bin), so here's what it's doing:
- switching xorg.conf - it will rename xorg.conf into xorg.conf.cat (if there's fglrx inside xorg.conf) or into xorg.conf.oth (if there's intel or radeon inside xorg.conf), then it will link those renamed files to xorg.conf depending on what did you choose (amd or intel). It doesn't need xorg.conf with intel or radeon inside actually - if it's not present it will simply remove xorg.conf link linked to xorg.conf.cat when you will switch into intel.
   IMPORTANT: before running this script be sure that both fglrx and intel (or radeon) aren't present in xorg.conf simultaneously (it's not recognizing commenting);
- running aticonfig --px-Xgpu (X = d or i)
- running switchlibGL X (X = amd or intel)
- adding/removing fglrx into/from MODULES in rc.conf
- usage is typical:

    pxp_switch_catalyst amd     # will switch into catalyst
    pxp_switch_catalyst intel     # will switch into intel or radeon

So now to switch between catalyst and radeon i must use only one command and reboot smile, hope it will work without problems.

Can someone intrested in this powerXpress support test this package? I need some sign-off before putting it into AUR's catalyst-total.

Offline

#3005 2011-05-22 16:21:37

osmano807
Member
Registered: 2008-10-09
Posts: 21

Re: The AMD/ATI Bar & Grill

In switchlibGL
Line 51 and 70:

    ldconfig /usr/X11R6/lib

I think it should be:

    ldconfig /usr/lib/catalystpxp

Offline

#3006 2011-05-22 21:41:58

GraveDigger
Member
Registered: 2009-03-24
Posts: 3

Re: The AMD/ATI Bar & Grill

trap divide error ... once again...

Hi folks, after upgrading to catalyst 11.4 and now 11.5 I am having bad luck trying to get opengl to work. I was quite reluctant updating xorg and catalyst drivers just because of that but now I updated and ran into troubles.

running opengl applications fails with "Floating point exception", nothing more but that, i.e. when running amdcccle, glxgears, glxinfo. kernel log says:

[  146.302441] kwin_opengl_tes[4615] trap divide error ip:7f08f427f442 sp:7fff84cc53c0 error:0 in fglrx_dri.so[7f08f2b08000+1ae5000]
[  154.161627] amdcccle[4616] trap divide error ip:7f60c1c18442 sp:7ffff2c41d70 error:0 in fglrx_dri.so[7f60c04a1000+1ae5000]
[  289.651149] glxinfo[4618] trap divide error ip:7ff513e68442 sp:7fff01005950 error:0 in fglrx_dri.so[7ff5126f1000+1ae5000]
[  302.963249] glxgears[4620] trap divide error ip:7f371f612442 sp:7fff32c744a0 error:0 in fglrx_dri.so[7f371de9b000+1ae5000]

i am using catalyst, catalyst-utils from the [catalyst] repo, have also done an ati-config --initial after upgrading but still there are these floating point exceptions. i also created a whole new user for testing, but there it also fails to start opengl stuff.

any idea on what causes this?

regards

Offline

#3007 2011-05-22 22:41:59

a1russell
Member
Registered: 2010-07-14
Posts: 7

Re: The AMD/ATI Bar & Grill

I'd definitely use the pxp_switch_catalyst script if it does what I need it to. I've actually written my own kludgy script to fill this need already. One feature that I definitely need that you didn't mention is the ability to add/remove kernel boot options based on which driver is used.

Offline

#3008 2011-05-23 18:36:21

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,319
Website

Re: The AMD/ATI Bar & Grill

osmano807 wrote:

In switchlibGL
Line 51 and 70:

    ldconfig /usr/X11R6/lib

I think it should be:

    ldconfig /usr/lib/catalystpxp

Good catch, it's fixed now, thank you smile

a1russell wrote:

I'd definitely use the pxp_switch_catalyst script if it does what I need it to. I've actually written my own kludgy script to fill this need already. One feature that I definitely need that you didn't mention is the ability to add/remove kernel boot options based on which driver is used.

This could be useful, although i personally wouldn't like any software able to change my boot config file automagically in any way. It's imho too important file. Even when you are installing new kernel from AUR it's not adding itself to the kernel's list, tho' such add shouldn't be as complex as "ability to add/remove kernel boot options based on which driver is used".

But let's say we are trying to add such functionality into script:
1. it won't be as easy as adding/removing nomodeset. ie. i'm not using nomodeset for ages, i got only vga= or video= ... So such script would have to parse whole config file, change it and store somewhere (probably in config file comment) information about what was the value of vga= or video= so it could restore it while switching;
2. do we want to change every kernel's entry or only the kernel which is selected to be booted as default? I got 3 different kernels right now, but i don't want every one of them to be changed... so if only default - we need another parser's funcionality to know which one on list is default
3. we want only gnome support or also gnome2 and syslinux, or maybe also some other? Every one of them is somehow different, and is using other config file.

So now we have that 3 important questions/tasks, we need to give our time to code it, but even if we will code it - will then we be able to say: "yes, it's 100% safe"?
I can already give you simple example of boot option: radeon.modeseting=1 - that will cause blank screen during DM start if our switch will be set to amd (catalyst).
So our code need to be even more complex than we though, it would need to contain all possibilities, and it will need to be updated whenever new graphic kernel option will occur.

Is it worth it? Especially when i already got some easy solution that i'm using:
i just got 2 kernel entries for kernel i'm mostly using (mainline). First is Radeon with video= option, and the second is catalyst with vga= option. So i can boot whatever i like/need at the moment (ofcourse i previously need to run pxp_switch_catalyst amd|intel), and if i want to use one of those entries more often i'm just changing default value of grub's config file.

Last edited by Vi0L0 (2011-05-23 18:46:10)

Offline

#3009 2011-05-23 19:00:50

a1russell
Member
Registered: 2010-07-14
Posts: 7

Re: The AMD/ATI Bar & Grill

Perhaps it would suffice to give pxp_switch_catalyst the ability to switch grub's default value, then. I just know I have options for one driver that doesn't work for the other.

Offline

#3010 2011-05-24 22:53:55

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,319
Website

Re: The AMD/ATI Bar & Grill

@a1russell:
will this be satisfying?:

function change_default() {

read -p 'Do you also want to change default kernel to boot (grub only)? [y/n]: ' defa
if [ $defa = 'y' ]; then
  grep ^title /boot/grub/menu.lst | sed 's/title//' | nl -v 0
  read -p 'Enter your number: ' nom
  sed 's/^default.*/default   '$nom'/' -i /boot/grub/menu.lst
fi

}

Here's how output of this function lookin in my case:

Do you also want to change default kernel to boot (grub only)? [y/n]: y
     0    Arch Linux Mainline Systemd
     1    Arch Linux Mainline Radeon
     2    Arch Linux Mainline Catalyst
     3    Arch Linux CK
     4    Arch Linux
     5    Arch Linux Fallback
Enter your number:

Last edited by Vi0L0 (2011-05-24 22:55:08)

Offline

#3011 2011-05-25 07:30:35

a1russell
Member
Registered: 2010-07-14
Posts: 7

Re: The AMD/ATI Bar & Grill

That looks great to me! smile Thanks for all your hard work on this package, by the way.

Offline

#3012 2011-05-25 13:54:57

Gillian00
Member
From: Belgium
Registered: 2010-05-25
Posts: 100

Re: The AMD/ATI Bar & Grill

Hi everybody,

I'd like to test gnome 3  but I'm reading everywhere that it is impossible to run it with fglrx ?? 

Is there plans to support it ? When ?  Is there any workaround (excpet using open source driver) ??


Have a nice day smile


Dell Studio XPS 1647 | i5-560m | 4go ddr3 | ATI radeon mobility 4670HD 1go gddr3 | Seagate Momentus 7200.4 G-force | wled 1600x900

Offline

#3013 2011-05-25 20:03:11

LeCrayonVert
Member
Registered: 2010-09-01
Posts: 133

Re: The AMD/ATI Bar & Grill

Gillian00 > unfortunately, there is nothing you can do....but to wait for catalyst 10.6 (in the best case scenario).  https://bbs.archlinux.org/viewtopic.php … 34#p926634


I believe in a world I can and do understand. A rational universe, explained through rational means.

Offline

#3014 2011-05-26 05:26:12

danielpublic
Member
Registered: 2011-01-03
Posts: 6

Re: The AMD/ATI Bar & Grill

[SOLVED]

Vi0L0 wrote:

@arastoo.s:
Make sure that:
- nomodeset is added to kernel boot options;
- fglrx module is loaded: lsmod | grep fglrx ;
- /var/log/Xorg.0.log is clean from errors (noted as EE), you can paste this file here if you are not sure.

Hi! Im trying to configure catalyst and so on.
Atm I have catalyst-total installed. The following produces:

lspci | grep -i vga

00:01.0 VGA compatible controller: ATI Technologies Inc Device 9802

lsmod | grep fglrx:

fglrx                2722513  0
button                  4794  1 fglrx

  • Version: X.Org X Server 1.10.1

  • sudo cat /var/log/Xorg.0.log > EEcatatotalxorg.log

  • ctrl+w '(EE)' in nano

xorg log:

(EE) Failed to load module "ati" (module does not exist, 0)
(EE) Failed to load module "fbdev" (module does not exist, 0)
(EE) GLX error: Can not get required symbols.
(EE) USB Keyboard: failed to initialize for relative axes

General info:
amdcccle spits out its general error.
I removed my old nvidia-xorg conf to my home.

Where do I go from here?

Thanks in advance!
----
[Edit] As I moved my old /etc/X11/xorg.conf I apparently did not make a new one. I used This config file and removed the 'Bus ID' entry from the 'Device' section. Everything/videoacceleration and so forth works!

[SOLVED]

Last edited by danielpublic (2011-05-26 10:25:51)

Offline

#3015 2011-05-26 19:17:56

yell!
Member
Registered: 2011-05-16
Posts: 44

Re: The AMD/ATI Bar & Grill

hi guys
I bought my first laptop and has got ATI integrated + ATI dedicated (5470)
I installed catalyst proprietary drivers

problems:
* if I use .xinitrc for calling twm or with blank .xinitrc
* if I logout from twm
then: artifacts
th_20110526210351_ati_artifacts.JPG
the screenshot is from camera. There is twm with two xterm windows.

suggestions?

Offline

#3016 2011-05-29 10:46:52

Gillian00
Member
From: Belgium
Registered: 2010-05-25
Posts: 100

Re: The AMD/ATI Bar & Grill

Hello everybody,

Please forget my ignorance but I have 1 or 2 questions:

$ glxinfo | grep "OpenGL version"
OpenGL version string: 3.3.10750 Compatibility Profile Context FireGL

I have ati mobility 4670hd.  It is not an ati fire pro card right ?  Does it mean I still have opengl 3.3 ? Because I can read on many website that one of the catalyst driver problem is old opengl support.


http://support.amd.com/us/kbarticles/Pa … river.aspx    ==> Does it have any following releases ?   It would be nice to have opengl 4 !

http://support.amd.com/us/gpudownload/f … nux.aspx#2   ==>  what does it changes with this ati fire pro driver ?  I thought all  catalyst drivers could run with all ati cards ...? 



Have a nice day !


Dell Studio XPS 1647 | i5-560m | 4go ddr3 | ATI radeon mobility 4670HD 1go gddr3 | Seagate Momentus 7200.4 G-force | wled 1600x900

Offline

#3017 2011-05-29 13:36:25

Radioactiveman
Member
From: Germany
Registered: 2010-05-13
Posts: 376

Re: The AMD/ATI Bar & Grill

Gillian00 wrote:

one of the catalyst driver problem is old opengl support

No, that's wrong. The radeon driver has this problem due licence problems especially.
Catalyst supports OpenGL 4 but your hardware doesn't. You need at least the 5000 series.
And yes, your mobility 4670 is no FirePro card so you should use the normal catalyst driver.

Offline

#3018 2011-05-30 03:47:43

b0uncyfr0
Member
Registered: 2008-05-11
Posts: 140

Re: The AMD/ATI Bar & Grill

Hi guys i just installed a 6950 into my System. I was running a S3 graphics card (yeah  know ancient) so im trying to get catalyst up and running but im confused. Should i be using AUR (catalyst-total) or the repo to install? Is there a procedure i have to follow?

Offline

#3019 2011-05-30 08:03:33

maleadt
Member
Registered: 2010-01-05
Posts: 12

Re: The AMD/ATI Bar & Grill

How usable is Gnome 3? I know there is corruption, but is it as bad as on 11.4, where after a while not only the activity bar but also the entire Shell interface would get corrupted? In other words: is it usable?

Offline

#3020 2011-05-30 08:19:44

LeCrayonVert
Member
Registered: 2010-09-01
Posts: 133

Re: The AMD/ATI Bar & Grill

maleadt wrote:

How usable is Gnome 3? I know there is corruption, but is it as bad as on 11.4, where after a while not only the activity bar but also the entire Shell interface would get corrupted? In other words: is it usable?

No. Let us hope that 11.6 will fix that (but it is very unlikely).


I believe in a world I can and do understand. A rational universe, explained through rational means.

Offline

#3021 2011-05-30 08:22:05

snack
Member
From: Italy
Registered: 2009-01-13
Posts: 673

Re: The AMD/ATI Bar & Grill

b0uncyfr0 wrote:

Hi guys i just installed a 6950 into my System. I was running a S3 graphics card (yeah  know ancient) so im trying to get catalyst up and running but im confused. Should i be using AUR (catalyst-total) or the repo to install? Is there a procedure i have to follow?

I'm using repo on i686 and x86_64, and it works beautifully. Give it a try...

Edit: the wiki contains all the informations and "how to" about catalyst: https://wiki.archlinux.org/index.php/Catalyst

Last edited by snack (2011-05-30 08:23:28)

Offline

#3022 2011-05-30 08:22:59

Gillian00
Member
From: Belgium
Registered: 2010-05-25
Posts: 100

Re: The AMD/ATI Bar & Grill

Interestingly, the AMD Catalyst (fglrx) driver is blacklisted from using the GL2 back-end, so for now it also is using the GL1 back-end even though the Catalyst driver on modern hardware supports GL3/GL4.

from http://www.phoronix.com/scan.php?page=n … &px=OTUwMQ

but...why ?!  :-(     (about kde 4.7)

Last edited by Gillian00 (2011-05-30 08:23:56)


Dell Studio XPS 1647 | i5-560m | 4go ddr3 | ATI radeon mobility 4670HD 1go gddr3 | Seagate Momentus 7200.4 G-force | wled 1600x900

Offline

#3023 2011-05-30 20:09:20

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,319
Website

Re: The AMD/ATI Bar & Grill

Gillian00 wrote:

Interestingly, the AMD Catalyst (fglrx) driver is blacklisted from using the GL2 back-end, so for now it also is using the GL1 back-end even though the Catalyst driver on modern hardware supports GL3/GL4.

from http://www.phoronix.com/scan.php?page=n … &px=OTUwMQ

but...why ?!  :-(     (about kde 4.7)

Martin (kwin dev) said it's "no joy", so maybe it's not working fine on some radeons - glitches etc.
For me it's working pretty good (it feels a little bit snappier than with GL1) if not counting some smplayer's (vaapi) breaks.
You can force using GL2 with command:

KWIN_DIRECT_GL=1 kwin --replace &

or if you want to run it at startup add

export KWIN_DIRECT_GL=1

into /etc/profile

Ps. the easiest way to check which GL is in use try to run "Sphere" or "Cylinder" Effect (works only with GL2)

Last edited by Vi0L0 (2011-05-30 20:24:14)

Offline

#3024 2011-05-31 05:58:20

sumski
Member
From: Zagreb, Croatia
Registered: 2011-04-30
Posts: 114

Re: The AMD/ATI Bar & Grill

@Vi0L0 , what verions of Catalyst / KWin are you using? With KDE 4.6 , i can get direct rendering , but the performance is terrible, with >= 4.7 beta1 , KWin chrashes when i try to start with direct rendering.

Offline

#3025 2011-05-31 10:24:34

Vi0L0
Member
From: Poland
Registered: 2009-06-24
Posts: 1,319
Website

Re: The AMD/ATI Bar & Grill

sumski wrote:

@Vi0L0 , what verions of Catalyst / KWin are you using? With KDE 4.6 , i can get direct rendering , but the performance is terrible, with >= 4.7 beta1 , KWin chrashes when i try to start with direct rendering.

Catalyst 11.5 and KDE 4.7 b1 from [kde-unstable]. Maybe my .kde4/share/config/kwinrc could be useful, thou i don't see anything special in it : http://hpaste.org/47293/kwinrc


.xsession-errors wrote:

OpenGL vendor string:                   ATI Technologies Inc.
OpenGL renderer string:                ATI Radeon HD 4800 Series       
OpenGL version string:                  3.3.10750 Compatibility Profile Context
OpenGL shading language version string: 3.30
Driver:                                     Catalyst
Driver version:                         3.3.10750
GPU class:                               R700
OpenGL version:                      3.3.10750
GLSL version:                           3.30
X server version:                      1.10.2
Linux kernel version:                3.0
Direct rendering:                     yes
Requires strict binding:           yes
GLSL shaders:                          yes
Texture NPOT support:             yes

- looks good

Offline

Board footer

Powered by FluxBB